org.apache.fop.pdf

## Class CMapBuilder

- java.lang.Object
- - org.apache.fop.pdf.CMapBuilder

    public class CMapBuilder
    extends Object

A cmap builder.

### Field Summary

Fields
`protected String` `name` name
`protected Writer` `writer` writer

### Constructor Summary

Constructors
Constructor and Description
`CMapBuilder(Writer writer, String name)` Construct cmap builder.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `writeBFEntries()`
`protected void` `writeCIDInit()`
`protected void` `writeCIDRange()`
`protected void` `writeCIDSystemInfo()`
`protected void` `writeCIDSystemInfo(String registry, String ordering, int supplement)`
`void` `writeCMap()` Writes the CMap to a Writer.
`protected void` `writeCodeSpaceRange()`
`protected void` `writeCodeSpaceRange(boolean singleByte)`
`protected void` `writeName(String name)`
`protected void` `writePreStream()`
`protected void` `writeStreamAfterComments()`
`protected void` `writeStreamComments()`
`protected void` `writeType(String type)`
`protected void` `writeUseCMap()` does nothing
`protected void` `writeVersion(String version)`
`protected void` `writeWrapUp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected String name

name

#### writer

    protected Writer writer

writer

### Constructor Detail

#### CMapBuilder

    public CMapBuilder(Writer writer,
                       String name)

Construct cmap builder.

Parameters:
  `writer` - a writer
  `name` - a name

### Method Detail

#### writeCMap

    public void writeCMap()
                   throws IOException

Writes the CMap to a Writer.

Throws:
  `IOException` - if an I/O error occurs

#### writePreStream

    protected void writePreStream()
                           throws IOException

Throws:
  `IOException` - if i/o exception

#### writeStreamComments

    protected void writeStreamComments()
                                throws IOException

Throws:
  `IOException` - if i/o exception

#### writeCIDInit

    protected void writeCIDInit()
                         throws IOException

Throws:
  `IOException` - if i/o exception

#### writeCIDSystemInfo

    protected void writeCIDSystemInfo(String registry,
                                      String ordering,
                                      int supplement)
                               throws IOException

Parameters:
  `registry` - string
  `ordering` - string
  `supplement` - string
Throws:
  `IOException` - if i/o exception

#### writeCIDSystemInfo

    protected void writeCIDSystemInfo()
                               throws IOException

Throws:
  `IOException` - if i/o exception

#### writeVersion

    protected void writeVersion(String version)
                         throws IOException

Parameters:
  `version` - a version
Throws:
  `IOException` - if i/o exception

#### writeType

    protected void writeType(String type)
                      throws IOException

Parameters:
  `type` - a type
Throws:
  `IOException` - if i/o exception

#### writeName

    protected void writeName(String name)
                      throws IOException

Parameters:
  `name` - a name
Throws:
  `IOException` - if i/o exception

#### writeCodeSpaceRange

    protected void writeCodeSpaceRange()
                                throws IOException

Throws:
  `IOException` - if i/o exception

#### writeCodeSpaceRange

    protected void writeCodeSpaceRange(boolean singleByte)
                                throws IOException

Parameters:
  `singleByte` - true if single byte range
Throws:
  `IOException` - if i/o exception

#### writeCIDRange

    protected void writeCIDRange()
                          throws IOException

Throws:
  `IOException` - if i/o exception

#### writeBFEntries

    protected void writeBFEntries()
                           throws IOException

Throws:
  `IOException` - if i/o exception

#### writeWrapUp

    protected void writeWrapUp()
                        throws IOException

Throws:
  `IOException` - if i/o exception

#### writeStreamAfterComments

    protected void writeStreamAfterComments()
                                     throws IOException

Throws:
  `IOException` - if i/o exception

#### writeUseCMap

    protected void writeUseCMap()

does nothing